data:extend(
{
  {
    type = "car",
    name = "life-raft-rs",
    icon = "__FactoriOOO__/graphics/!!!start-pack/icons/life-raft-rs.png",
    flags = {"pushable", "placeable-neutral", "player-creation","placeable-off-grid", "not-on-map"},
    minable = {mining_time = 2.0, result = "life-raft-rs"},
    max_health = 50,
	energy_per_hit_point = 0.01,
    corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
    collision_box = {{-0.7, -1}, {0.7, 1}},
    selection_box = {{-0.7, -1}, {0.7, 1}},
	collision_mask = {"ground-tile"},
    effectivity = 1.0, --0.6
    braking_power = "0.1kW",
    burner =
    {
      effectivity = 1,
      fuel_inventory_size = 1,
      --[[smoke =
      {
        {
          name = "smoke",
          deviation = {0.25, 0.25},
          frequency = 10,
          position = {0, 1.5},
          slow_down_factor = 0.9,
          starting_frame = 3,
          starting_frame_deviation = 5,
          starting_frame_speed = 0,
          starting_frame_speed_deviation = 5
        }
      }--]]
    },
    consumption = "0.1kW",
    friction = 2e-3,
    light =
    {
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {-0.6, -14},
        size = 2,
        intensity = 0.6
      },
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {0.6, -14},
        size = 2,
        intensity = 0.6
      }
    },
    animation =
    {
      filename = "__FactoriOOO__/graphics/!!!start-pack/entity/life-raft-rs.png",
      line_length = 6,
      width = 88,
      height = 83,
      scale=1.4,
	  frame_count = 1,
      axially_symmetrical = false,
      direction_count = 36
    },    
	stop_trigger_speed = 0.0, --0.2
    stop_trigger =
    {
      {
        type = "play-sound",
        sound =
        {
          {
            filename = "__base__/sound/car-breaks.ogg",
            volume = 0.0
          },
        }
      },
    },
    crash_trigger = crash_trigger(),
    sound_minimum_speed = 0.0;
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/car-engine.ogg",
        volume = 0.0
      },
      activate_sound =
      {
        filename = "__base__/sound/car-engine-start.ogg",
        volume = 0.0
      },
      deactivate_sound =
      {
        filename = "__base__/sound/car-engine-stop.ogg",
        volume = 0.0
      },
      match_speed_to_activity = true,
    },
    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.0 },
    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.0 },
    rotation_speed = 0.006,  --0.008
    weight = 100,
    inventory_size = 20
  } }
)